Subject: bzip2 and pipes?
From: [email-masked] (Jan Tomasek)

6 Oct 1998 20:21:07 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Hi,
I found that bzip2 is best available compress program. But seams that
it doesn't work with pipe.
I type this:
tar cvf - SemTel |bzip2 -9vv >pokus.bz2

File was compressed, no error but if I try test it.
	bzip2 -tvv pokus.bz2

I receive this:
  pokus.bz2:
    block [1: huff+mtf (Q:\USR\LOCAL\BIN\EXE\BZIP2.EXE 1039) Exception:
STATUS_A
CCESS_VIOLATION

bzip2: Caught a SIGSEGV or SIGBUS whilst decompressing,
        which probably indicates that the compressed data
        is corrupted.
        Input file = pokus.bz2, output file = (none)

It is possible that the compressed file(s) have become corrupted.
You can use the -tvv option to test integrity of such files.

You can use the 'bzip2recover' program to *attempt* to recover
data from undamaged sections of corrupted files.

May I'm doing something wrong can me someone help please?

                                Jan Tomasek,          student FEL-CVUT
                                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                                e-mail: [email-masked]
                                www: http://www.feld.cvut.cz/~xtomasej
                                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".